%define	name	epsilon
%define	version 0.3.0.012
%define release %mkrel 4

%define major 	0
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Enlightenment thumbnailing library
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://www.enlightenment.org/
Source: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	imlib2-devel
#BuildRequires:	epeg-devel >= 0.9.1.042
BuildRequires:	png-devel
BuildRequires:  evas-devel >= 0.9.9.050
BuildRequires:  ecore-devel >= 0.9.9.050
BuildRequires:  edje-devel >= 0.5.0.050
Buildrequires:  libxine-devel

%description
This is a small, display independent, and quick thumbnailing library.
The lib itself conforms to the standard put forth by freedesktop.org.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the %{name} package
Group: System/Libraries
Requires: %name

%description -n %libname
Libraries for %{name}

%package -n %libnamedev
Summary: Headers and development libraries from %{name}
Group: Development/Other
Requires: %libname = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}

%description -n %libnamedev
%{name} development headers and libraries.

%prep
%setup -q 

%build
export CFLAGS="%{optflags} -lm"
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%{_bindir}/%name
%{_bindir}/%{name}_*
%{_libdir}/%name/plugins/xine_thumbnailer.so

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %libnamedev
%defattr(-,root,root)
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/%name/plugins/xine_thumbnailer.*a
%{_includedir}/*.h


%changelog
* Fri Feb 27 2009 Antoine Ginies <aginies@mandriva.com> 0.3.0.012-4mdv2009.1
+ Revision: 345544
- SVN SNAPSHOT 20090227, release 0.3.0.012

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.0.012-3mdv2009.0
+ Revision: 266708
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 01 2008 Funda Wang <fundawang@mandriva.org> 0.3.0.012-2mdv2009.0
+ Revision: 214008
- link against math

* Fri Feb 15 2008 Antoine Ginies <aginies@mandriva.com> 0.3.0.012-2mdv2008.1
+ Revision: 168962
- bump release
- re-add specific version of buildrequires to avoid major break of E libs

* Sat Feb 02 2008 Austin Acton <austin@mandriva.org> 0.3.0.012-1mdv2008.1
+ Revision: 161565
- new version
- tidy spec
- fix URL
- drop epsilon-config
- lib requires bin
- move plugins to bin package

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 31 2007 Antoine Ginies <aginies@mandriva.com> 0.3.0.011-1mdv2008.1
+ Revision: 104098
- new tarball
- update tarball
- CVS SNAPSHOT 20071031, release 0.3.0.008

* Thu Aug 30 2007 Antoine Ginies <aginies@mandriva.com> 0.3.0.008-5mdv2008.0
+ Revision: 76327
- fix missing file epsilon-config
- fix path in tarball
- CVS SNAPSHOT 20070830, release 0.3.0.008
- CVS SNAPSHOT 20070605, release 0.3.0.008

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 0.3.0.008-3mdv2008.0
+ Revision: 32627
- CVS SNAPSHOT 20070529, release 0.3.0.008

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 0.3.0.008-2mdv2008.0
+ Revision: 30644
- increase mkrel
- CVS snapshot 20070524, release 0.3.0.008

* Mon May 21 2007 Antoine Ginies <aginies@mandriva.com> 0.3.0.008-1mdv2008.0
+ Revision: 29279
- remove unwanted changelog, add xine1-devel buildrequires
- cvs snapshot 20070516, release 0.3.0.008

* Thu May 03 2007 Pascal Terjan <pterjan@mandriva.org> 0.3.0.007-1mdv2008.0
+ Revision: 22053
- Fix build
- 0.3.0.007
- Use mkrel
- BuildREquires autoconf2.5


* Fri Mar 24 2006 Austin Acton <austin@mandriva.org> 0.3.0.006-0.20060323.1mdk
- new cvs checkout

* Fri Feb 17 2006 Austin Acton <austin@mandriva.org> 0.3.0.005-0.20060216.1mdk
- new cvs checkout

* Wed Jan 18 2006 Austin Acton <austin@mandriva.org> 0.3.0.005-0.20060117.1mdk
- new cvs checkout

* Thu Jan 12 2006 Austin Acton <austin@mandriva.org> 0.3.0.004-0.20060111.1mdk
- new cvs checkout

* Fri Nov 25 2005 Austin Acton <austin@mandriva.org> 0.3.0.004-0.20051124.1mdk
- new cvs checkout

* Wed Nov 09 2005 Austin Acton <austin@mandriva.org> 0.3.0.004-0.20051109.1mdk
- new cvs checkout

* Sat Nov 05 2005 Austin Acton <austin@mandriva.org> 0.3.0.004-0.20051104.1mdk
- new cvs checkout

* Thu Oct 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.0.004-0.20050904.2mdk
- Fix BuildRequires

* Mon Sep 05 2005 Austin Acton <austin@mandriva.org> 0.3.0.004-0.20050904.1mdk
- new cvs checkout

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 0.3.0.004-0.20050813.1mdk
- new cvs checkout

* Mon Jun 27 2005 Austin Acton <austin@mandriva.org> 0.3.0.003-0.20050627.1mdk
- new cvs checkout

* Wed Jun 08 2005 Austin Acton <austin@mandriva.org> 0.3.0.003-0.20050608.1mdk
- new cvs checkout

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 0.3.0.003-0.20050524.3mdk
- buildrequires

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 0.3.0.003-0.20050524.2mdk
- multiarch binaries

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 0.3.0.003-0.20050524.1mdk
- new cvs checkout

* Sun May 15 2005 Austin Acton <austin@mandriva.org> 0.3.0.003-0.20050511.2mdk
- clean spec

* Thu May 12 2005 Austin Acton <austin@mandriva.org> 0.3.0.003-0.20050511.1mdk
- initial package

